## jband-r106.zip

=== jband/trunk/JBand/lib/Makefile ===
MKPATH=../mk/
include $(MKPATH)rules.mk
include $(MKPATH)objective.mk

SUBDIRS = apex bone data edit file help info pref save user xtra

=== jband/trunk/JBand/src/Makefile ===
MKPATH=../mk/
include $(MKPATH)rules.mk
include $(MKPATH)objective.mk

# import source list
include Makefile.src
HEADERS = $(HDRS) $(INCS)
OBJECTS = $(ANGFILES) $(MAINFILES) $(ZFILES)
SOURCES = ${OBJECTS:.o=.c}

SUBDIRS = gtk monster object player

OBJECTIVE_BINS = angband

CFLAGS += -I.

angband: $(OBJECTS)
	$(CC) $(OBJECTS) $(LDFLAGS) $(LDADD) -o $@ 
	@printf "%10s %-20s\n" LINK $@

clean-prehook:
	-rm autoconf.h

install-posthook:
	@if [ "x$(SETEGID)" != "x" ]; then \
		printf "%10s $(DESTDIR)$(BINDIR)/angband\n" CHOWN; \
		if [ "x$(DRY)" = "x" ]; then \
			chown root:${SETEGID} $(DESTDIR)$(BINDIR)/angband; \
			chmod g+s $(DESTDIR)$(BINDIR)/angband; \
		fi; \
	fi

=== jband/trunk/JBand/lib/file/Makefile ===
MKPATH=../../mk/
include $(MKPATH)rules.mk
include $(MKPATH)objective.mk

OBJECTIVE_DATA = \
	crown.txt:${DATA_PATH}/file \
	dead.txt:${DATA_PATH}/file \
	news.txt:${DATA_PATH}/file

=== jband/trunk/JBand/lib/xtra/sound/Makefile ===
MKPATH=../../../mk/
include $(MKPATH)rules.mk
include $(MKPATH)objective.mk

OBJECTIVE_DATA = \
	sound.cfg:${DATA_PATH}/xtra/sound    \
	breath.wav:${DATA_PATH}/xtra/sound   \
	clunk.wav:${DATA_PATH}/xtra/sound    \
	death.wav:${DATA_PATH}/xtra/sound    \
	destroy.wav:${DATA_PATH}/xtra/sound  \
	drop.wav:${DATA_PATH}/xtra/sound     \
	eat.wav:${DATA_PATH}/xtra/sound      \
	flee.wav:${DATA_PATH}/xtra/sound     \
	hallu.wav:${DATA_PATH}/xtra/sound    \
	hit.wav:${DATA_PATH}/xtra/sound      \
	hit1.wav:${DATA_PATH}/xtra/sound     \
	kill.wav:${DATA_PATH}/xtra/sound     \
	kill1.wav:${DATA_PATH}/xtra/sound    \
	level.wav:${DATA_PATH}/xtra/sound    \
	miss.wav:${DATA_PATH}/xtra/sound     \
	miss1.wav:${DATA_PATH}/xtra/sound    \
	money.wav:${DATA_PATH}/xtra/sound    \
	opendoor.wav:${DATA_PATH}/xtra/sound \
	shutdoor.wav:${DATA_PATH}/xtra/sound \
	thump.wav:${DATA_PATH}/xtra/sound    \
	vomit.wav:${DATA_PATH}/xtra/sound

=== jband/trunk/JBand/debian/control ===
Source: angband
VCS-Git: git://git.debian.org/~srivasta/debian/angband.git
VCS-Browser: http://git.debian.org/git/users/srivasta/debian/angband.git
Section: games
Priority: optional
Maintainer: Manoj Srivastava <srivasta@debian.org>
Build-Depends: libncurses5-dev | libncurses-dev | ncurses-dev,
 libsdl1.2-dev | libsdl-dev, libsdl-mixer1.2-dev,
 libsdl-gfx1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev,
 libsdl-net1.2-dev
Standards-Version: 3.8.1.0

Package: angband
Architecture: any
Depends: ${shlibs:Depends}
Description: A single-player, text-based, dungeon simulation game.
 Angband is a single-player, text-based, dungeon simulation derived
 from the game Moria, which was in turn based on Rogue. It is
 often described as a "roguelike" game because the look and feel of
 the game is still quite similar to Rogue.
 .
 Angband features many enhancements over Moria: unique foes, artifacts,
 monster pits and vaults to name a few. Many of these new creatures
 and objects are drawn from the writings of J.R.R Tolkien, although
 some of the monsters come straight from classical mythology, Dungeons
 & Dragons, Rolemaster, or the minds of the original Angband coders.
 .
 The ultimate goal of the game is to develop a character strong enough
 to defeat Morgoth, who resides on dungeon level 100. Upon doing so,
 you will receive the exalted status of "winner" and your character may
 retire.
 .
 Angband is a reference to Morgoth's "prison of iron."
 .
 Morgoth was 'the Dark Enemy of Middle-Earth' during its First Age. He
 was banished by the Valar (offspring of Eru, "god" of J.R.R.
 Tolkien's world) at the end of the First Age and thus never appears
 in The Lord of the Rings, set during the Third Age. Sauron, who does
 figure into those tales, was the most powerful of his servants. Read
 Tolkien's 'The Silmarillion' for more on the legends of Middle-Earth.
